Get a case attachment using advanced query

post

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/{cases_id}/$attachments/{cases-_attachments_id}/$query

Request

Path Parameters
  • This path parameter maps to the following field defined in the Cases/Case Attachment REST resource:
    1. id: The unique identifier of the attachment.
  • This path parameter maps to the following field defined in the Cases REST resource:
    1. caseNumber: The unique number that's used to identify a case. You can edit the case number to a format that's best suitable to your requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Back to Top

Response

Default Response

A single item response
Body ()
Root Schema : oraCxServiceCoreCase.CaseAttachment_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseAttachment_item
Match All
Case attachments let you store and manage files such as documents for a case. You can use attachments to provide supplementary information about the case.
Show Source
Nested Schema : oraCxServiceCoreCase.CaseAttachment_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseAttachment_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Attachment_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreCase.CaseAttachment_item-fields-allOf[2]
Type: object
Show Source
Nested Schema : Case Attachment
Type: object
Title: Case Attachment
Case attachments let you store and manage files such as documents for a case. You can use attachments to provide supplementary information about the case.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : category
Match All
The category of the attachment.
Show Source
  • Title: Attachment Category
    Read Only: true
    Default Value: MISC
    The category of the attachment.
  • Allowed Values: [ "MISC" ]
Nested Schema : document
Match All
The name of the accessor used to retrieve the document.
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Document Accessor
Type: object
Title: Document Accessor
The name of the accessor used to retrieve the document.
Nested Schema : chunkingDirectives
Type: object
Show Source
Nested Schema : downloadParameters
Type: object
Show Source
Nested Schema : latestDocument
Match All
The latest version of the attached document.
Show Source
Nested Schema : type
Match All
Show Source
  • Allowed Values: [ "FILE", "WEB_PAGE", "TMURI", "TEXT" ]
Nested Schema : uploadParameters
Type: object
Show Source
Nested Schema : chunkCount
Match All
The required number of chunked files to be uploaded to the content server.
Show Source
Nested Schema : chunkSize
Match All
The required size of each chunked file to be uploaded to the content server.
Show Source
Nested Schema : prefix
Match All
The prefix used in the file names of the chunked files.
Show Source
  • Title: Document
    The prefix used in the file names of the chunked files.
Nested Schema : version
Match All
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Nested Schema : Latest Document
Type: object
Title: Latest Document
The latest version of the attached document.
Nested Schema : Document
Type: object
Title: Document
Directives for customers uploading chunked files.
Nested Schema : Download Parameters
Type: object
Title: Download Parameters
Used to get the parameters required to download a file type document.
Nested Schema : Upload Parameters
Type: object
Title: Upload Parameters
Used to get the parameters required to upload a file type document.
Nested Schema : $context
Type: object
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Back to Top